	/* Results NOT included in the paper */
	
/* ORIGINAL TALBLE 3

/* TRY MOREIRA LIML ESTIMATOR - ALTHOUGH NO CLUSTERING */
condivreg `crime' $prdum $time2 (`price' = rain rain_1 rain_2) if panel_sample, liml
estimates store n9
/* Without current rainfall - eliminates "mood" channel */

/* ALL BAVARIA */
regress `crime' `price' $time2 (rain_1 rain_2 $time2)
	if bav_sample, robust
dwstat
estimates store n10

/* THIS ONE GIVES BEST MOREIRA RESULT - NOT AS OVER-IDENTIFIED */
condivreg `crime' $time2 (`price' = rain_1 rain_2) if bav_sample, liml
estimates store n11

/* BY PROVINCE */
regress `crime' `price' $time2 $prdum  (rain_1 rain_2 $time2 $prdum )
	if panel_sample, robust cluster(year)
dwstat
estimates store n12
condivreg `crime' $prdum $time2 (`price' = rain_1 rain_2) if panel_sample, liml
estimates store n13
*/

	
//ORIGINAL:
/*
foreach crime in 
	lcr /* cr */
{;

foreach price in
	lpr /* pr */
	lw /* rwage */
	lw1
	
{;

/* OLS */;

/* ALL BAVARIA */;
regress `crime' `price' if bav_sample, robust;
dwstat;
estimates store n1
/* ALL BAVARIA */;
regress `crime' `price' $time2 if bav_sample, robust;
dwstat;
estimates store n2
/* BY PROVINCE */;
regress `crime' `price'  $prdum if panel_sample, robust cluster(year);
dwstat;
estimates store n3
/* BY PROVINCE */;
regress `crime' `price'  $time2 $prdum if panel_sample, robust cluster(year);
dwstat;
estimates store n4
/* IV */;
/* ALL BAVARIA */;
regress `crime' `price' $time2 (rain rain_1 rain_2 $time2)
	if bav_sample, robust;
dwstat;
estimates store n5
/* TRY MOREIRA LIML ESTIMATOR */;
condivreg `crime' (`price' = rain rain_1 rain_2) if bav_sample, liml;
estimates store n6
/* BEST SPEC */;
condivreg `crime' $time2 (`price' = rain rain_1 rain_2) if bav_sample, liml;
estimates store n7
/* BY PROVINCE */;
regress `crime' `price'  $prdum $time2 (rain rain_1 rain_2 $time2 $prdum )
	if panel_sample, robust cluster(year);
dwstat;
estimates store n8
/* TRY MOREIRA LIML ESTIMATOR - ALTHOUGH NO CLUSTERING */;
condivreg `crime' $prdum $time2 (`price' = rain rain_1 rain_2) if panel_sample, liml;
estimates store n9
/* Without current rainfall - eliminates "mood" channel */;

/* ALL BAVARIA */;
regress `crime' `price' $time2 (rain_1 rain_2 $time2)
	if bav_sample, robust;
dwstat;
estimates store n10
/* THIS ONE GIVES BEST MOREIRA RESULT - NOT AS OVER-IDENTIFIED */;
condivreg `crime' $time2 (`price' = rain_1 rain_2) if bav_sample, liml;
estimates store n11
/* BY PROVINCE */;
regress `crime' `price' $time2 $prdum  (rain_1 rain_2 $time2 $prdum )
	if panel_sample, robust cluster(year);
dwstat;
estimates store n12
condivreg `crime' $prdum $time2 (`price' = rain_1 rain_2) if panel_sample, liml;
estimates store n13
};
};
*/
/* OLS */

/* ORIGINAL TABLE 4 */ 


/* ORIGINAL
foreach crime in 
	lmv /* mv */
	lvi /* vi */
	lmu
	lto
{;

foreach price in
	lpr /* pr */
	
{;

/* OLS */;

/* ALL BAVARIA */;
regress `crime' `price'
	if bav_sample, robust;
dwstat if e(sample);


regress `crime' `price' $time2
	if bav_sample, robust;
dwstat;
dwstat if e(sample);


/* IV */;

/* ALL BAVARIA */;
regress `crime' `price' $time2 (rain rain_1 rain_2 $time2)
	if bav_sample, robust;
dwstat;
condivreg `crime' $time2 (`price' = rain rain_1 rain_2) if bav_sample, liml;
condivreg `crime' $time2 (`price' = rain_1 rain_2) if bav_sample, liml;

/* BY PROVINCE */;
regress `crime' `price' $time2  $prdum (rain rain_1 rain_2 $time2 $prdum )
	if panel_sample, robust cluster(year);
dwstat;
condivreg `crime' $prdum $time2 (`price' = rain rain_1 rain_2) if panel_sample, liml;
condivreg `crime' $prdum $time2 (`price' = rain_1 rain_2) if panel_sample, liml;


};
};
*/

/* ORIGINAL TABLE 5 */

/* Original:
	
/* Interactions */;

/* BY PROVINCE */;
regress lcr lpr tr tr_lpr $prdum
	(rain rain_1 rain_2 tr $prdum 
	tr_rain tr_rain_1 tr_rain_2)
	if panel_sample, robust cluster(year);
dwstat;

/* ALL BAVARIA */;
regress lcr lpr tr tr_lpr
	(rain rain_1 rain_2 tr 
	tr_rain tr_rain_1 tr_rain_2)
	if bav_sample, robust;
dwstat;


/* ALL BAVARIA violence and wage */;
regress lvi lw1 $time2
	if bav_sample, robust;
dwstat;

regress lvi lw1 $time2 (rain rain_1 rain_2 $time2)
	if bav_sample, robust;
dwstat;

/* Beer prices */;
regress lvi lpr $time2
	if bav_sample, robust;
dwstat;

regress lvi lpr lpb $time2
	if bav_sample, robust;
dwstat;

regress lvi lpr $time2 (rain rain_1 rain_2 $time2)
	if bav_sample, robust;
dwstat;

regress lvi lpr lpb $time2 (rain rain_1 rain_2 $time2)
	if bav_sample, robust;
dwstat;

regress lvi lpb $time2 (rain rain_1 rain_2 $time2)
	if bav_sample, robust;
dwstat;

regress lvi lw1 $time2
	if bav_sample, robust;
dwstat;

regress lvi lw1 lpb $time2
	if bav_sample, robust;
dwstat;

regress lvi lw1 $time2 (rain rain_1 rain_2 $time2)
	if bav_sample, robust;
dwstat;

regress lvi lw1 lpb $time2 (rain rain_1 rain_2 $time2)
	if bav_sample, robust;
dwstat;

regress lvi lw1 $time2 (rain rain_1 rain_2 $time2)
	if bav_sample, robust;
dwstat;


/* dynamics */;
regress lpr_1 rain rain_1 rain_2 $time2
        if bav_sample, robust;

regress lcr lpr lpr_1 $time2 
	if bav_sample, robust;
		
regress lcr lpr lpr_1 $time2 (rain rain_1 rain_2 $time2)
	if bav_sample, robust;

regress lcr lpr lcr_1 $time2 
	if bav_sample, robust;
		
regress lcr lpr lcr_1 $time2 (rain rain_1 rain_2 lcr_1 $time2)
	if bav_sample, robust;

	*/
